import { CosmosProposalType } from '@onomy/client';
export { CosmosClient, OnexClient, OnomyClient } from '@onomy/client';
import * as _onomy_react_utils from '@onomy/react-utils';
import { AsyncStatus } from '@onomy/react-utils';
export { useAsyncPoll, useAsyncProcess, useAsyncStatuses, useAsyncValue } from '@onomy/react-utils';
import * as _onomy_hub from '@onomy/hub';
import { AbstractThrottledAsyncCache, DetailedFungibleAssetOnChain, DetailedFungibleAssetBalance, FungibleAssetWithMeta } from '@onomy/hub';
export { DetailedDelegationData, DetailedFungibleAssetBalance, DetailedFungibleAssetOnChain, FungibleAssetWithMeta } from '@onomy/hub';
import { useClaimRewardForm, useDelegateAssetForm, useMoveDelegationForm, useSubmitProposalForm, useProposal, useGovVoteForm } from '@onomy/react-hub';
export { AmountDisplay, BigNumDisplay, DetailedProposalData, FiatValueDisplay, RatioAsPercentage, TruncatedAddress, serializeAddress, serializeAsset, serializeBalance, serializeBalances, useAddress, useConnectedWallet, useWalletsForChain } from '@onomy/react-hub';
import * as _keplr_wallet_types from '@keplr-wallet/types';
import * as bignumber_js from 'bignumber.js';
import bignumber_js__default from 'bignumber.js';
import { ApolloClient, NormalizedCacheObject } from '@apollo/client';
import * as _onomy_frontend_relay_types from '@onomy/frontend-relay-types';
import { FungibleAssetOnChain as FungibleAssetOnChain$1, Blockchain as Blockchain$1, BlockchainAddress as BlockchainAddress$1 } from '@onomy/frontend-relay-types';
import * as React$1 from 'react';
import React__default from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';
import * as _onomy_wallet from '@onomy/wallet';
import { WalletBackend } from '@onomy/wallet';
import * as _onomy_telescope_dist_codegen_market_pool from '@onomy/telescope/dist/codegen/market/pool';
import { Pool } from '@onomy/telescope/dist/codegen/market/pool';
import * as _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin from '@onomy/telescope/dist/codegen/cosmos/base/v1beta1/coin';
import * as long from 'long';
import * as _onomy_telescope_dist_codegen_cosmos_vesting_v1beta1_vesting from '@onomy/telescope/dist/codegen/cosmos/vesting/v1beta1/vesting';
import { FungibleAssetOnChain as FungibleAssetOnChain$2, Blockchain as Blockchain$2 } from 'index';
import * as _onomy_hub_src_OnomyHubConstants from '@onomy/hub/src/OnomyHubConstants';
import * as _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov from '@onomy/telescope/dist/codegen/cosmos/gov/v1beta1/gov';
import * as _onomy_telescope_dist_codegen_onomyprotocol_dao_v1_dao from '@onomy/telescope/dist/codegen/onomyprotocol/dao/v1/dao';
import * as _onomy_telescope_dist_codegen_market_proposal from '@onomy/telescope/dist/codegen/market/proposal';
import * as _cosmjs_stargate from '@cosmjs/stargate';

declare const DEVNET: {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const TESTNET: {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const MAINNET: {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const OnomyEcosystemConfigs: {
    DEVNET: {
        onomyChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onexNomDenom: string;
        onexGraphqlEndpoint: string;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
    TESTNET: {
        onomyChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onexNomDenom: string;
        onexGraphqlEndpoint: string;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
    MAINNET: {
        onomyChainInfo: _keplr_wallet_types.ChainInfo;
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexNomDenom: string;
        onexGraphqlEndpoint: string;
        onexChainInfo: _keplr_wallet_types.ChainInfo;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
};
type OnomyEcosystemConfigName = keyof typeof OnomyEcosystemConfigs;
type OnomyEcosystemConfig = typeof DEVNET | typeof TESTNET | typeof MAINNET;
declare function setOnomyEcosystemConfig(configName: OnomyEcosystemConfigName, overrides?: Partial<OnomyEcosystemConfig>): {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexNomDenom: string;
    onexGraphqlEndpoint: string;
    onexChainInfo: _keplr_wallet_types.ChainInfo;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};

type FrameType = 'Minute' | 'QuarterHour' | 'Hour' | 'QuarterDay' | 'Day' | 'Week';
type ParamsObj = {
    baseDenom: string;
    quoteDenom: string;
    frameType: FrameType;
    from?: number;
    to?: number;
    first?: number;
    skipped?: number;
};
type ParamsType = [ParamsObj];
declare const BLANK_ONEX_HISTORY_FRAME: {
    startTime: string;
    endTime: string;
    startPrice: string;
    maxPrice: string;
    minPrice: string;
    endPrice: string;
    volume: string;
};
type OnexHistoryFrame = typeof BLANK_ONEX_HISTORY_FRAME;
declare class OnexHistoryFrames extends AbstractThrottledAsyncCache<ParamsType, OnexHistoryFrame[]> {
    private apolloClient;
    constructor(apolloClient: ApolloClient<NormalizedCacheObject>);
    protected cacheKey([{ baseDenom, quoteDenom, frameType, from, to, first, skipped }]: ParamsType): string;
    protected implementation({ baseDenom, quoteDenom, frameType, from, to, first, skipped, }: ParamsObj): Promise<OnexHistoryFrame[]>;
}

type DayTradeFrame = OnexHistoryFrame & {
    loadingStatus: AsyncStatus;
    priceDiff: number;
    priceChangeRatio: number;
    volumeDiffRatio: number;
    lastPricePerBase: DetailedFungibleAssetBalance;
    lastPricePerBaseStatus: AsyncStatus;
    volumeAmount: DetailedFungibleAssetBalance;
    volumeAmountStatus: AsyncStatus;
    volumeDiffAmount: DetailedFungibleAssetBalance;
    volumeDiffAmountStatus: AsyncStatus;
};
declare function useOnexDayTradeFrame({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain | null;
    quoteAsset: DetailedFungibleAssetOnChain | null;
}): [DayTradeFrame, AsyncStatus];

/* eslint-disable */
// Generated by dts-bundle-generator v5.3.0

declare type DomeCallback = (data: DOMData) => void;
declare type ErrorCallback = (reason: string) => void;
declare type GetMarksCallback<T> = (marks: T[]) => void;
declare type HistoryCallback = (bars: Bar[], meta?: HistoryMetadata) => void;
declare type MarkConstColors = "red" | "green" | "blue" | "yellow";
/**
 * This is the generic type useful for declaring a nominal type,
 * which does not structurally matches with the base type and
 * the other types declared over the same base type
 *
 * Usage:
 * @example
 * type Index = Nominal<number, 'Index'>;
 * // let i: Index = 42; // this fails to compile
 * let i: Index = 42 as Index; // OK
 * @example
 * type TagName = Nominal<string, 'TagName'>;
 */
declare type Nominal<T, Name extends string> = T & {
	[Symbol.species]: Name;
};
declare type OnReadyCallback = (configuration: DatafeedConfiguration) => void;
declare type ResolutionString = Nominal<string, "ResolutionString">;
declare type ResolveCallback = (symbolInfo: LibrarySymbolInfo) => void;
declare type SearchSymbolsCallback = (items: SearchSymbolResultItem[]) => void;
declare type SeriesFormat = "price" | "volume";
declare type ServerTimeCallback = (serverTime: number) => void;
declare type SubscribeBarsCallback = (bar: Bar) => void;
declare type Timezone = "Etc/UTC" | CustomTimezones;
interface Bar {
	time: number;
	open: number;
	high: number;
	low: number;
	close: number;
	volume?: number;
}
interface DOMData {
	snapshot: boolean;
	asks: DOMLevel[];
	bids: DOMLevel[];
}
interface DOMLevel {
	price: number;
	volume: number;
}
interface DatafeedConfiguration {
	exchanges?: Exchange[];
	supported_resolutions?: ResolutionString[];
	units?: Record<string, Unit[]>;
	currency_codes?: string[];
	supports_marks?: boolean;
	supports_time?: boolean;
	supports_timescale_marks?: boolean;
	symbols_types?: DatafeedSymbolType[];
}
interface DatafeedSymbolType {
	name: string;
	value: string;
}
interface Exchange {
	value: string;
	name: string;
	desc: string;
}
interface HistoryMetadata {
	noData?: boolean;
	nextTime?: number | null;
}
interface IDatafeedChartApi {
	getMarks?(symbolInfo: LibrarySymbolInfo, from: number, to: number, onDataCallback: GetMarksCallback<Mark>, resolution: ResolutionString): void;
	getTimescaleMarks?(symbolInfo: LibrarySymbolInfo, from: number, to: number, onDataCallback: GetMarksCallback<TimescaleMark>, resolution: ResolutionString): void;
	/**
	 * This function is called if configuration flag supports_time is set to true when chart needs to know the server time.
	 * The charting library expects callback to be called once.
	 * The time is provided without milliseconds. Example: 1445324591. It is used to display Countdown on the price scale.
	 */
	getServerTime?(callback: ServerTimeCallback): void;
	searchSymbols(userInput: string, exchange: string, symbolType: string, onResult: SearchSymbolsCallback): void;
	resolveSymbol(symbolName: string, onResolve: ResolveCallback, onError: ErrorCallback, extension?: SymbolResolveExtension): void;
	getBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, periodParams: PeriodParams, onResult: HistoryCallback, onError: ErrorCallback): void;
	subscribeBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, onTick: SubscribeBarsCallback, listenerGuid: string, onResetCacheNeededCallback: () => void): void;
	unsubscribeBars(listenerGuid: string): void;
	subscribeDepth?(symbol: string, callback: DomeCallback): string;
	unsubscribeDepth?(subscriberUID: string): void;
	getVolumeProfileResolutionForPeriod?(currentResolution: ResolutionString, from: number, to: number, symbolInfo: LibrarySymbolInfo): ResolutionString;
}
interface LibrarySymbolInfo {
	/**
	 * Symbol Name
	 */
	name: string;
	full_name: string;
	base_name?: [
		string
	];
	/**
	 * Unique symbol id
	 */
	ticker?: string;
	description: string;
	type: string;
	/**
	 * @example "1700-0200"
	 */
	session: string;
	session_display?: string;
	/**
	 * @example "20181105,20181107,20181112"
	 */
	holidays?: string;
	/**
	 * @example "1900F4-2350F4,1000-1845:20181113;1000-1400:20181114"
	 */
	corrections?: string;
	/**
	 * Traded exchange
	 * @example "NYSE"
	 */
	exchange: string;
	listed_exchange: string;
	timezone: Timezone;
	/**
	 * Prices format: "price" or "volume"
	 */
	format: SeriesFormat;
	/**
	 * Code (Tick)
	 * @example 8/16/.../256 (1/8/100 1/16/100 ... 1/256/100) or 1/10/.../10000000 (1 0.1 ... 0.0000001)
	 */
	pricescale: number;
	/**
	 * The number of units that make up one tick.
	 * @example For example, U.S. equities are quotes in decimals, and tick in decimals, and can go up +/- .01. So the tick increment is 1. But the e-mini S&P futures contract, though quoted in decimals, goes up in .25 increments, so the tick increment is 25. (see also Tick Size)
	 */
	minmov: number;
	fractional?: boolean;
	/**
	 * @example Quarters of 1/32: pricescale=128, minmovement=1, minmovement2=4
	 */
	minmove2?: number;
	/**
	 * false if DWM only
	 */
	has_intraday?: boolean;
	/**
	 * An array of resolutions which should be enabled in resolutions picker for this symbol.
	 */
	supported_resolutions: ResolutionString[];
	/**
	 * @example (for ex.: "1,5,60") - only these resolutions will be requested, all others will be built using them if possible
	 */
	intraday_multipliers?: string[];
	has_seconds?: boolean;
	has_ticks?: boolean;
	/**
	 * It is an array containing seconds resolutions (in seconds without a postfix) the datafeed builds by itself.
	 */
	seconds_multipliers?: string[];
	has_daily?: boolean;
	has_weekly_and_monthly?: boolean;
	has_empty_bars?: boolean;
	has_no_volume?: boolean;
	/**
	 * Integer showing typical volume value decimal places for this symbol
	 */
	volume_precision?: number;
	data_status?: "streaming" | "endofday" | "pulsed" | "delayed_streaming";
	/**
	 * Boolean showing whether this symbol is expired futures contract or not.
	 */
	expired?: boolean;
	/**
	 * Unix timestamp of expiration date.
	 */
	expiration_date?: number;
	sector?: string;
	industry?: string;
	currency_code?: string;
	original_currency_code?: string;
	unit_id?: string;
	original_unit_id?: string;
	unit_conversion_types?: string[];
}
interface Mark {
	id: string | number;
	time: number;
	color: MarkConstColors | MarkCustomColor;
	text: string;
	label: string;
	labelFontColor: string;
	minSize: number;
}
interface MarkCustomColor {
	color: string;
	background: string;
}
interface PeriodParams {
	from: number;
	to: number;
	countBack: number;
	firstDataRequest: boolean;
}
interface SearchSymbolResultItem {
	symbol: string;
	full_name: string;
	description: string;
	exchange: string;
	ticker: string;
	type: string;
}
interface SymbolResolveExtension {
	currencyCode?: string;
	unitId?: string;
}
interface TimescaleMark {
	id: string | number;
	time: number;
	color: MarkConstColors | string;
	label: string;
	tooltip: string[];
}
interface Unit {
	id: string;
	name: string;
	description: string;
}
type CustomTimezones = "Africa/Cairo" | "Africa/Johannesburg" | "Africa/Lagos" | "America/Argentina/Buenos_Aires" | "America/Bogota" | "America/Caracas" | "America/Chicago" | "America/El_Salvador" | "America/Juneau" | "America/Lima" | "America/Los_Angeles" | "America/Mexico_City" | "America/New_York" | "America/Phoenix" | "America/Santiago" | "America/Sao_Paulo" | "America/Toronto" | "America/Vancouver" | "Asia/Almaty" | "Asia/Ashkhabad" | "Asia/Bahrain" | "Asia/Bangkok" | "Asia/Chongqing" | "Asia/Dubai" | "Asia/Ho_Chi_Minh" | "Asia/Hong_Kong" | "Asia/Jakarta" | "Asia/Jerusalem" | "Asia/Kathmandu" | "Asia/Kolkata" | "Asia/Kuwait" | "Asia/Muscat" | "Asia/Qatar" | "Asia/Riyadh" | "Asia/Seoul" | "Asia/Shanghai" | "Asia/Singapore" | "Asia/Taipei" | "Asia/Tehran" | "Asia/Tokyo" | "Atlantic/Reykjavik" | "Australia/ACT" | "Australia/Adelaide" | "Australia/Brisbane" | "Australia/Perth" | "Australia/Sydney" | "Europe/Amsterdam" | "Europe/Athens" | "Europe/Belgrade" | "Europe/Berlin" | "Europe/Brussels" | "Europe/Copenhagen" | "Europe/Dublin" | "Europe/Helsinki" | "Europe/Istanbul" | "Europe/Lisbon" | "Europe/London" | "Europe/Luxembourg" | "Europe/Madrid" | "Europe/Malta" | "Europe/Moscow" | "Europe/Oslo" | "Europe/Paris" | "Europe/Riga" | "Europe/Rome" | "Europe/Stockholm" | "Europe/Tallinn" | "Europe/Vilnius" | "Europe/Warsaw" | "Europe/Zurich" | "Pacific/Auckland" | "Pacific/Chatham" | "Pacific/Fakaofo" | "Pacific/Honolulu" | "Pacific/Norfolk" | "US/Mountain";

declare class OnexTradingViewData implements IDatafeedChartApi {
    private onexHistoryFrames;
    private barSubs;
    private lastTick;
    private baseDenom;
    private quoteDenom;
    private timer;
    constructor(onexHistoryFrames: OnexHistoryFrames, baseDenom: string, quoteDenom: string);
    private onBlockMined;
    destroy(): void;
    onReady(cb: OnReadyCallback): void;
    searchSymbols(userInput: string, exchange: string, symbolType: string, onResult: SearchSymbolsCallback): Promise<void>;
    resolveSymbol(symbolName: string, onSuccess: ResolveCallback): void;
    getBars(symbolInfo: LibrarySymbolInfo, resolution: string, periodParams: PeriodParams, onResult: HistoryCallback, onError: ErrorCallback): Promise<void>;
    subscribeBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, onTick: SubscribeBarsCallback, listenerGuid: string, onResetCacheNeededCallback: () => void): void;
    unsubscribeBars(listenerGuid: string): void;
}
declare function useOnexTradingViewData(baseDenom: string, quoteDenom: string): OnexTradingViewData | null;

declare function useIndexedOrderBookForm({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
}): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    orderBinsStatus: _onomy_react_utils.AsyncStatus;
    bookBuyStatus: _onomy_react_utils.AsyncStatus;
    bookSellStatus: _onomy_react_utils.AsyncStatus;
    binOptions: {
        value: string;
        label: string;
    }[];
    selectedBin: string | undefined;
    bookBuy: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookSell: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    chartData: {
        market: string;
        bids: {
            side: string;
            price: number;
            amount: number;
        }[];
        asks: {
            side: string;
            price: number;
            amount: number;
        }[];
    };
    setSelectedBin: React$1.Dispatch<React$1.SetStateAction<string | undefined>>;
};

declare const PROPOSAL_STATUS: {
    PROPOSAL_STATUS_UNSPECIFIED: string;
    PROPOSAL_STATUS_DEPOSIT_PERIOD: string;
    PROPOSAL_STATUS_VOTING_PERIOD: string;
    PROPOSAL_STATUS_PASSED: string;
    PROPOSAL_STATUS_REJECTED: string;
    PROPOSAL_STATUS_FAILED: string;
    UNRECOGNIZED: string;
};
declare const PROPOSAL_TYPE: {
    ParameterChangeProposal: {
        name: string;
    };
    CommunityPoolSpendProposal: {
        name: string;
    };
    FundAccountProposal: {
        name: string;
    };
    SoftwareUpgradeProposal: {
        name: string;
    };
};
declare function isUndefined(index: any): index is boolean;
declare function getProposalType(index?: string): any;
declare function getProposalStatus(index?: string): any;
declare function renderRemainingDays(endDate: Date | null): string;
declare function calculateVotesChartData(proposal: any): number[];

declare const governanceUtils_PROPOSAL_STATUS: typeof PROPOSAL_STATUS;
declare const governanceUtils_PROPOSAL_TYPE: typeof PROPOSAL_TYPE;
declare const governanceUtils_isUndefined: typeof isUndefined;
declare const governanceUtils_getProposalType: typeof getProposalType;
declare const governanceUtils_getProposalStatus: typeof getProposalStatus;
declare const governanceUtils_renderRemainingDays: typeof renderRemainingDays;
declare const governanceUtils_calculateVotesChartData: typeof calculateVotesChartData;
declare namespace governanceUtils {
  export {
    governanceUtils_PROPOSAL_STATUS as PROPOSAL_STATUS,
    governanceUtils_PROPOSAL_TYPE as PROPOSAL_TYPE,
    governanceUtils_isUndefined as isUndefined,
    governanceUtils_getProposalType as getProposalType,
    governanceUtils_getProposalStatus as getProposalStatus,
    governanceUtils_renderRemainingDays as renderRemainingDays,
    governanceUtils_calculateVotesChartData as calculateVotesChartData,
  };
}

declare function useMnemonicWalletState(): {
    error: unknown;
    isWalletLoaded: boolean;
    isMnemonicSaved: boolean;
    generatedMnemonic: string;
    generateMnemonic: () => Promise<void>;
    getMnemonic: (password?: string) => Promise<string>;
    checkMnemonic: (mnemonic: string) => boolean;
    saveMnemonic: (mnemonic: string) => Promise<void>;
    eraseMnemonic: () => Promise<void>;
};
type MnemonicWalletContextType = ReturnType<typeof useMnemonicWalletState>;
declare const MnemonicWalletContext: React__default.Context<{
    error: unknown;
    isWalletLoaded: boolean;
    isMnemonicSaved: boolean;
    generatedMnemonic: string;
    generateMnemonic: () => Promise<void>;
    getMnemonic: (password?: string) => Promise<string>;
    checkMnemonic: (mnemonic: string) => boolean;
    saveMnemonic: (mnemonic: string) => Promise<void>;
    eraseMnemonic: () => Promise<void>;
}>;
declare function useMnemonicWallet(): {
    error: unknown;
    isWalletLoaded: boolean;
    isMnemonicSaved: boolean;
    generatedMnemonic: string;
    generateMnemonic: () => Promise<void>;
    getMnemonic: (password?: string | undefined) => Promise<string>;
    checkMnemonic: (mnemonic: string) => boolean;
    saveMnemonic: (mnemonic: string) => Promise<void>;
    eraseMnemonic: () => Promise<void>;
};
declare function defaultRenderLoading$1(): react_jsx_runtime.JSX.Element;
declare function defaultRenderError$6(error: any): react_jsx_runtime.JSX.Element;
declare function MnemonicWalletProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof defaultRenderLoading$1;
    renderError?: typeof defaultRenderError$6;
}): react_jsx_runtime.JSX.Element;

declare function useOnomyApp(): {
    ecosystem: OnomyEcosystemConfig;
    isOnexAvailable: boolean;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    bridges: _onomy_hub.AbstractAssetBridge[];
    onexHistoryFrames: OnexHistoryFrames | null;
    onomyChain: _onomy_frontend_relay_types.Blockchain;
    onexChain: _onomy_frontend_relay_types.Blockchain;
    supportedChains: _onomy_frontend_relay_types.Blockchain[];
    supportedAssets: never[] | _onomy_hub.FungibleAssetWithMeta[];
    onomyNomAsset: _onomy_hub.FungibleAssetWithMeta;
    onexOnexAsset: _onomy_hub.FungibleAssetWithMeta;
    onexNomAsset: DetailedFungibleAssetOnChain | null;
    onexUsdtAsset: DetailedFungibleAssetOnChain | null;
    onexUsdcAsset: DetailedFungibleAssetOnChain | null;
    onexEthAsset: DetailedFungibleAssetOnChain | null;
    unknownBalance: _onomy_hub.DetailedFungibleAssetBalance;
    myOnomyAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    myOnexAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    myOnomyWallet: _onomy_wallet.CosmosWallet | null;
    myOnexWallet: _onomy_wallet.CosmosWallet | null;
    quoteAssets: _onomy_hub.FungibleAssetWithMeta[];
    pairsByQuote: {
        [x: string]: {
            quoteAsset: DetailedFungibleAssetOnChain;
            pairs: {
                quoteAsset: DetailedFungibleAssetOnChain;
                baseAsset: DetailedFungibleAssetOnChain;
                pair: string;
            }[];
        } | undefined;
    };
    logout: () => Promise<void>;
    logoutOnomy: () => Promise<void>;
    logoutOnex: () => Promise<void>;
    isWalletLoaded: boolean;
    walletLoadError: unknown;
};
declare function DEFAULT_ERROR_RENDER_FN$a(error: any): react_jsx_runtime.JSX.Element;
declare function OnomyAppProvider({ children, ecosystem, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    ecosystem: OnomyEcosystemConfig;
    renderLoading?: () => JSX.Element | null;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$a;
}): react_jsx_runtime.JSX.Element | null;
declare function useAsset(idOrAsset: string | FungibleAssetOnChain$1): DetailedFungibleAssetOnChain | null;

declare function OnomyCoreProvider({ children, createBackendFn, config, overrides, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    createBackendFn: () => WalletBackend;
    config?: OnomyEcosystemConfigName;
    overrides?: Partial<OnomyEcosystemConfig>;
    renderLoading?: Parameters<typeof OnomyAppProvider>[0]['renderLoading'];
    renderError?: Parameters<typeof OnomyAppProvider>[0]['renderError'];
}): react_jsx_runtime.JSX.Element;

declare function useOnomyDashboardState(): {
    holdings: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        delegations: _onomy_hub.DetailedDelegationData[];
        balances: DetailedFungibleAssetBalance[];
        stakedBalances: DetailedFungibleAssetBalance[];
        rewardBalances: DetailedFungibleAssetBalance[];
        unbondingBalances: DetailedFungibleAssetBalance[];
        totals: DetailedFungibleAssetBalance[];
        balanceTotalFiat: number;
        stakedTotalFiat: number;
        rewardTotalFiat: number;
        unbondingTotalFiat: number;
        grandTotalFiat: number;
        nomAvailable: DetailedFungibleAssetBalance;
        nomTotal: DetailedFungibleAssetBalance;
        ethTotal: DetailedFungibleAssetBalance;
        bNomTotal: DetailedFungibleAssetBalance;
        nomStaked: DetailedFungibleAssetBalance;
        nomUnbonding: DetailedFungibleAssetBalance;
        nomRewards: DetailedFungibleAssetBalance;
    };
    vesting: {
        allLocked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedStaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedUnstaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedFiatValue: number;
        allLockedStakedFiatValue: number;
        allLockedUnstakedFiatValue: number;
        vestingData: {
            chain: Blockchain$1;
            baseVestingAccount: {
                delegatedFree: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                delegatedVesting: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                originalVesting: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                baseVestingAccount: _onomy_telescope_dist_codegen_cosmos_vesting_v1beta1_vesting.BaseVestingAccount;
                startTime: long.Long;
                vestingPeriods: _onomy_telescope_dist_codegen_cosmos_vesting_v1beta1_vesting.Period[];
            };
            vestingPeriods: {
                amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                totalWait: number;
                unlocksAt: number;
                isUnlocked: boolean;
                length: long.Long;
                amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
            }[];
            allLocked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedStaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedUnstaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedFiatValue: number;
            allLockedStakedFiatValue: number;
            allLockedUnstakedFiatValue: number;
            startTime: long.Long;
        }[];
    } | null;
    myLiquidity: {
        pool: {
            baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        drops: {
            pool: {
                baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                fiatTotal: number;
                fiatCurrency: string;
                leaders: {
                    baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    address: string;
                    drops: string;
                }[];
                memberBase: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                memberQuote: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                pair: string;
                denom1: string;
                denom2: string;
                volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
                volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
                drops: string;
                history: long.Long;
            };
            totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalFiat: number;
            rewardFiat: number;
            totalFiat: number;
            bnTotalBase: bignumber_js__default;
            bnTotalQuote: bignumber_js__default;
            bnPrincipalBase: bignumber_js__default;
            bnPrincipalQuote: bignumber_js__default;
            bnRewardBase: bignumber_js__default;
            bnRewardQuote: bignumber_js__default;
            uid: long.Long;
            owner: string;
            pair: string;
            drops: string;
            product: string;
            active: boolean;
        }[];
        basePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quotePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        fiatPrincipal: number;
        fiatReward: number;
        fiatTotal: number;
    }[];
    delegations: _onomy_hub.DetailedDelegationData[];
    nomUsdtDay: DayTradeFrame;
    nomEthDay: DayTradeFrame;
    onexNomBurned: DetailedFungibleAssetBalance;
    onexBalances: DetailedFungibleAssetBalance[];
    mainBalances: DetailedFungibleAssetBalance[];
    oneNomCoin: {
        asset: {
            chain: Blockchain$1;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    onexStaked: DetailedFungibleAssetBalance;
    onexRewards: DetailedFungibleAssetBalance;
    onexUnbonding: DetailedFungibleAssetBalance;
    principalTotalFiat: number;
    rewardTotalFiat: number;
    liquidityTotalFiat: number;
    onexBalancesTotalFiat: number;
    mainBalancesTotalFiat: number;
    mainGrandTotalFiat: number;
    onexGrandTotalFiat: number;
    grandTotalFiat: number;
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
type OnomyDashboardContextType = ReturnType<typeof useOnomyDashboardState>;
declare function useOnomyDashboard(): {
    holdings: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        delegations: _onomy_hub.DetailedDelegationData[];
        balances: DetailedFungibleAssetBalance[];
        stakedBalances: DetailedFungibleAssetBalance[];
        rewardBalances: DetailedFungibleAssetBalance[];
        unbondingBalances: DetailedFungibleAssetBalance[];
        totals: DetailedFungibleAssetBalance[];
        balanceTotalFiat: number;
        stakedTotalFiat: number;
        rewardTotalFiat: number;
        unbondingTotalFiat: number;
        grandTotalFiat: number;
        nomAvailable: DetailedFungibleAssetBalance;
        nomTotal: DetailedFungibleAssetBalance;
        ethTotal: DetailedFungibleAssetBalance;
        bNomTotal: DetailedFungibleAssetBalance;
        nomStaked: DetailedFungibleAssetBalance;
        nomUnbonding: DetailedFungibleAssetBalance;
        nomRewards: DetailedFungibleAssetBalance;
    };
    vesting: {
        allLocked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedStaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedUnstaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        allLockedFiatValue: number;
        allLockedStakedFiatValue: number;
        allLockedUnstakedFiatValue: number;
        vestingData: {
            chain: Blockchain$1;
            baseVestingAccount: {
                delegatedFree: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                delegatedVesting: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                originalVesting: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                baseVestingAccount: _onomy_telescope_dist_codegen_cosmos_vesting_v1beta1_vesting.BaseVestingAccount;
                startTime: long.Long;
                vestingPeriods: _onomy_telescope_dist_codegen_cosmos_vesting_v1beta1_vesting.Period[];
            };
            vestingPeriods: {
                amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                })[];
                totalWait: number;
                unlocksAt: number;
                isUnlocked: boolean;
                length: long.Long;
                amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
            }[];
            allLocked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedStaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedUnstaked: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            allLockedFiatValue: number;
            allLockedStakedFiatValue: number;
            allLockedUnstakedFiatValue: number;
            startTime: long.Long;
        }[];
    } | null;
    myLiquidity: {
        pool: {
            baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        drops: {
            pool: {
                baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                fiatTotal: number;
                fiatCurrency: string;
                leaders: {
                    baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    address: string;
                    drops: string;
                }[];
                memberBase: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                memberQuote: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                pair: string;
                denom1: string;
                denom2: string;
                volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
                volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
                drops: string;
                history: long.Long;
            };
            totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalFiat: number;
            rewardFiat: number;
            totalFiat: number;
            bnTotalBase: bignumber_js__default;
            bnTotalQuote: bignumber_js__default;
            bnPrincipalBase: bignumber_js__default;
            bnPrincipalQuote: bignumber_js__default;
            bnRewardBase: bignumber_js__default;
            bnRewardQuote: bignumber_js__default;
            uid: long.Long;
            owner: string;
            pair: string;
            drops: string;
            product: string;
            active: boolean;
        }[];
        basePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quotePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        fiatPrincipal: number;
        fiatReward: number;
        fiatTotal: number;
    }[];
    delegations: _onomy_hub.DetailedDelegationData[];
    nomUsdtDay: DayTradeFrame;
    nomEthDay: DayTradeFrame;
    onexNomBurned: DetailedFungibleAssetBalance;
    onexBalances: DetailedFungibleAssetBalance[];
    mainBalances: DetailedFungibleAssetBalance[];
    oneNomCoin: {
        asset: {
            chain: Blockchain$1;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    onexStaked: DetailedFungibleAssetBalance;
    onexRewards: DetailedFungibleAssetBalance;
    onexUnbonding: DetailedFungibleAssetBalance;
    principalTotalFiat: number;
    rewardTotalFiat: number;
    liquidityTotalFiat: number;
    onexBalancesTotalFiat: number;
    mainBalancesTotalFiat: number;
    mainGrandTotalFiat: number;
    onexGrandTotalFiat: number;
    grandTotalFiat: number;
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function DEFAULT_ERROR_RENDER_FN$9(error: any): react_jsx_runtime.JSX.Element;
declare function OnomyDashboardProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$9;
}): react_jsx_runtime.JSX.Element | JSX.Element[] | null;
declare function useAvailableBalance(idOrAsset: string | FungibleAssetOnChain$2): DetailedFungibleAssetBalance;
declare function useStakedBalance(idOrAsset: string | FungibleAssetOnChain$2): DetailedFungibleAssetBalance;
declare function useRewardBalance(idOrAsset: string | FungibleAssetOnChain$2): DetailedFungibleAssetBalance;
declare function useUnstakingBalance(idOrAsset: string | FungibleAssetOnChain$2): DetailedFungibleAssetBalance;
declare function useAssetDelegations(idOrAsset: string | FungibleAssetOnChain$2): _onomy_hub.DetailedDelegationData[];
declare function useChainDelegations(idOrChain: string | Blockchain$1): _onomy_hub.DetailedDelegationData[];

declare function useTransferAssetState(asset: FungibleAssetOnChain$1 | null): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txStatus: _onomy_react_utils.AsyncStatus;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    canSubmit: boolean;
    formErrors: {
        asset?: string | undefined;
        gas?: string | undefined;
        destAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    amount: _onomy_hub.DetailedFungibleAssetBalance;
    asset: FungibleAssetOnChain$1 | null;
    destAddress: string;
    isMaxAmount: boolean;
    amountFixed: string;
    amountInput: string;
    txDetails: {
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null;
    setAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetOnChain$1 | null>>;
    setDestAddress: React__default.Dispatch<React__default.SetStateAction<string>>;
    setAmountFixed: (amt: string) => void;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    submit: () => Promise<{
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null>;
    reset: () => void;
};
type TransferAssetContextType = ReturnType<typeof useTransferAssetState>;
declare function useTransferAsset(): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txStatus: _onomy_react_utils.AsyncStatus;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    canSubmit: boolean;
    formErrors: {
        asset?: string | undefined;
        gas?: string | undefined;
        destAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    amount: _onomy_hub.DetailedFungibleAssetBalance;
    asset: FungibleAssetOnChain$1 | null;
    destAddress: string;
    isMaxAmount: boolean;
    amountFixed: string;
    amountInput: string;
    txDetails: {
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null;
    setAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetOnChain$1 | null>>;
    setDestAddress: React__default.Dispatch<React__default.SetStateAction<string>>;
    setAmountFixed: (amt: string) => void;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    submit: () => Promise<{
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null>;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$8(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$8(error: any): react_jsx_runtime.JSX.Element;
declare function TransferAssetProvider({ children, renderLoading, renderError, asset, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$8;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$8;
    asset: FungibleAssetOnChain$1 | null;
}): react_jsx_runtime.JSX.Element;

type ClaimRewardContextType = ReturnType<typeof useClaimRewardForm>;
declare function useClaimReward(): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        reward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        tx: _onomy_frontend_relay_types.BlockchainTransaction;
    } | {
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        reward: _onomy_hub.DetailedFungibleAssetBalance;
        tx: _onomy_frontend_relay_types.BlockchainTransaction;
    } | null;
    canSubmit: boolean;
    formErrors: {
        asset?: string | undefined;
        validatorAddress?: string | undefined;
    } | null | undefined;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    delegation: _onomy_hub.DetailedDelegationData | null;
    validatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    submit: () => void;
    reset: () => void;
};
declare function defaultRenderError$5(error: any): react_jsx_runtime.JSX.Element;
declare function ClaimRewardProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    validatorId: string;
    redelegate?: boolean;
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof defaultRenderError$5;
} & Parameters<typeof useClaimRewardForm>[0]): react_jsx_runtime.JSX.Element | JSX.Element[] | null;

type DelegateAssetProps = Parameters<typeof useDelegateAssetForm>[0];
declare function useDelegateAssetState(props: DelegateAssetProps): {
    undelegate: boolean | undefined;
    setUndelegate: React__default.Dispatch<React__default.SetStateAction<boolean | undefined>>;
    toggleUndelegate: () => void;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    formErrors: {
        asset?: string | undefined;
        validatorAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    amountStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationAmount: _onomy_hub.DetailedFungibleAssetBalance;
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
    } | {
        delegationAmount: _onomy_hub.DetailedFungibleAssetBalance;
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
    } | null;
    canSubmit: boolean;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    delegation: _onomy_hub.DetailedDelegationData | null;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    txAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    validatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    amountInput: string;
    setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    reset: () => void;
    submit: () => void;
};
type DelegateAssetContextType = ReturnType<typeof useDelegateAssetState>;
declare function useDelegateAsset(): {
    undelegate: boolean | undefined;
    setUndelegate: React__default.Dispatch<React__default.SetStateAction<boolean | undefined>>;
    toggleUndelegate: () => void;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    formErrors: {
        asset?: string | undefined;
        validatorAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    amountStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationAmount: _onomy_hub.DetailedFungibleAssetBalance;
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
    } | {
        delegationAmount: _onomy_hub.DetailedFungibleAssetBalance;
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
    } | null;
    canSubmit: boolean;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    delegation: _onomy_hub.DetailedDelegationData | null;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    txAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    validatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    amountInput: string;
    setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    reset: () => void;
    submit: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$7(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$7(error: any): react_jsx_runtime.JSX.Element;
declare function DelegateAssetProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$7;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$7;
} & DelegateAssetProps): react_jsx_runtime.JSX.Element;

type MoveDelegationContextType = ReturnType<typeof useMoveDelegationForm>;
declare const MoveDelegationContext: React__default.Context<{
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    formErrors: {
        asset?: string | undefined;
        srcValidatorAddress?: string | undefined;
        dstValidatorAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    amountStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationAmount: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        delegationBefore: [_onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null, _onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null];
        delegationAfter: _onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null;
        balanceBefore: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        srcValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
        dstValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
        transaction: Promise<_onomy_frontend_relay_types.BlockchainTransaction>;
    } | null;
    canSubmit: boolean;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    srcDelegation: _onomy_hub.DetailedDelegationData | null;
    dstDelegation: _onomy_hub.DetailedDelegationData | null;
    isMaxAmount: boolean;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    txAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    srcValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    dstValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    amountInput: string;
    setSrcValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setDstValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    reset: () => void;
    submit: () => void;
}>;
declare function useMoveDelegation(): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    formErrors: {
        asset?: string | undefined;
        srcValidatorAddress?: string | undefined;
        dstValidatorAddress?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    amountStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationAmount: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        delegationBefore: [_onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null, _onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null];
        delegationAfter: _onomy_hub_src_OnomyHubConstants.DetailedDelegationData | null;
        balanceBefore: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub_src_OnomyHubConstants.DetailedFungibleAssetBalance;
        amountFixed: string;
        amount: bignumber_js.BigNumber;
        srcValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
        dstValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
        transaction: Promise<_onomy_frontend_relay_types.BlockchainTransaction>;
    } | null;
    canSubmit: boolean;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    srcDelegation: _onomy_hub.DetailedDelegationData | null;
    dstDelegation: _onomy_hub.DetailedDelegationData | null;
    isMaxAmount: boolean;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    txAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    srcValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    dstValidatorAddress: _onomy_frontend_relay_types.BlockchainAddress | undefined;
    amountInput: string;
    setSrcValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setDstValidatorAddress: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.BlockchainAddress | undefined>>;
    setAmountInput: (val: string) => void;
    toggleMaxAmount: () => void;
    reset: () => void;
    submit: () => void;
};
declare function defaultRenderError$4(error: any): react_jsx_runtime.JSX.Element;
declare function MoveDelegationProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof defaultRenderError$4;
} & Parameters<typeof useMoveDelegationForm>[0]): react_jsx_runtime.JSX.Element | JSX.Element[] | null;

declare function useValidatorDetailState({ validatorAddress }: {
    validatorAddress: BlockchainAddress$1;
}): {
    delegation: _onomy_hub.DetailedDelegationData | null;
    claimRewards: {
        gas: {
            loadingStatus: _onomy_react_utils.AsyncStatus;
            detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
            gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
            gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
            hasEnoughGasBalance: boolean;
            gasPrice: string;
            options: {
                label: string;
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                value: string;
            }[];
            setGasPrice: (newPrice: string) => void;
            gasEstimate: string;
        };
        loadingStatus: _onomy_react_utils.AsyncStatus;
        txStatus: _onomy_react_utils.AsyncStatus;
        txDetails: {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_hub.DetailedFungibleAssetBalance;
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | null;
        canSubmit: boolean;
        formErrors: {
            asset?: string | undefined;
            validatorAddress?: string | undefined;
        } | null | undefined;
        asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        delegation: _onomy_hub.DetailedDelegationData | null;
        validatorAddress: BlockchainAddress$1 | undefined;
        setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<BlockchainAddress$1 | undefined>>;
        submit: () => void;
        reset: () => void;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
    validatorDetailRoute: string;
};
type ValidatorDetailContextType = ReturnType<typeof useValidatorDetailState>;
declare function useValidatorDetail(): {
    delegation: _onomy_hub.DetailedDelegationData | null;
    claimRewards: {
        gas: {
            loadingStatus: _onomy_react_utils.AsyncStatus;
            detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
            gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
            gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
            hasEnoughGasBalance: boolean;
            gasPrice: string;
            options: {
                label: string;
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                value: string;
            }[];
            setGasPrice: (newPrice: string) => void;
            gasEstimate: string;
        };
        loadingStatus: _onomy_react_utils.AsyncStatus;
        txStatus: _onomy_react_utils.AsyncStatus;
        txDetails: {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_hub.DetailedFungibleAssetBalance;
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | null;
        canSubmit: boolean;
        formErrors: {
            asset?: string | undefined;
            validatorAddress?: string | undefined;
        } | null | undefined;
        asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        delegation: _onomy_hub.DetailedDelegationData | null;
        validatorAddress: BlockchainAddress$1 | undefined;
        setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<BlockchainAddress$1 | undefined>>;
        submit: () => void;
        reset: () => void;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
    validatorDetailRoute: string;
};
declare function defaultRenderError$3(error: any): react_jsx_runtime.JSX.Element;
declare function ValidatorDetailProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof defaultRenderError$3;
} & Parameters<typeof useValidatorDetailState>[0]): react_jsx_runtime.JSX.Element | JSX.Element[] | null;

declare function useGovernanceState(): {
    governanceRoute: string;
    govAsset: _onomy_hub.FungibleAssetWithMeta;
    govAssetBalance: [_onomy_hub.DetailedFungibleAssetBalance, _onomy_react_utils.AsyncStatus, React__default.MutableRefObject<_onomy_hub.DetailedFungibleAssetBalance>];
    myAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    allProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    myProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    myVotedProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    activeProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    passedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    rejectedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    failedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
type GovernanceContextType = ReturnType<typeof useGovernanceState>;
declare function useGovernance(): {
    governanceRoute: string;
    govAsset: _onomy_hub.FungibleAssetWithMeta;
    govAssetBalance: [_onomy_hub.DetailedFungibleAssetBalance, _onomy_react_utils.AsyncStatus, React__default.MutableRefObject<_onomy_hub.DetailedFungibleAssetBalance>];
    myAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    allProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    myProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    myVotedProposals: never[] | {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    activeProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    passedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    rejectedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    failedProposals: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function DEFAULT_LOADING_RENDER_FN$6(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$6(error: any): react_jsx_runtime.JSX.Element;
declare function GovernanceProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$6;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$6;
}): react_jsx_runtime.JSX.Element;

type ProposalCreateContextType = ReturnType<typeof useSubmitProposalForm>;
declare function useProposalCreate(): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txStatus: _onomy_react_utils.AsyncStatus;
    depositTxStatus: _onomy_react_utils.AsyncStatus;
    proposalId: string;
    chains: _onomy_frontend_relay_types.Blockchain[];
    chain: _onomy_frontend_relay_types.Blockchain;
    proposalTypes: {
        typeUrl: unknown;
        name: string;
        description: string;
        encode: unknown;
        decode: (value: Uint8Array) => any;
    }[];
    proposalType: {
        typeUrl: unknown;
        name: string;
        description: string;
        encode: unknown;
        decode: (value: Uint8Array) => any;
    };
    minDepositAmount: _onomy_hub.DetailedFungibleAssetBalance;
    canSubmit: boolean;
    formErrors: {
        content?: string | undefined;
        balance?: string | undefined;
    } | null;
    setChain: React__default.Dispatch<React__default.SetStateAction<_onomy_frontend_relay_types.Blockchain>>;
    setContent: React__default.Dispatch<any>;
    setProposalTypeUrl: React__default.Dispatch<React__default.SetStateAction<string>>;
    reset: () => void;
    submit: () => Promise<void>;
    doDeposit: () => Promise<void>;
};
declare function ProposalCreateProvider({ children }: {
    children: JSX.Element | JSX.Element[];
}): react_jsx_runtime.JSX.Element;

type ProposalDepositResult = {
    proposalId: string;
    chain: Blockchain$2;
    balanceBefore: DetailedFungibleAssetBalance;
    balanceAfter: DetailedFungibleAssetBalance;
    amount: DetailedFungibleAssetBalance;
    gasAmount: DetailedFungibleAssetBalance;
};
declare function useProposalDepositForm({ autoSetNeededAmount: autoSetNeededAmountProp, ...props }: {
    autoSetNeededAmount?: boolean;
} & Parameters<typeof useProposal>[0]): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    txDetails: ProposalDepositResult | null;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js__default;
            yes: bignumber_js__default;
            no: bignumber_js__default;
            noWithVeto: bignumber_js__default;
            abstain: bignumber_js__default;
        };
    } | null;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    balance: DetailedFungibleAssetBalance;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    minDepositAmount: DetailedFungibleAssetBalance;
    depositNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountInput: string;
    autoSetNeededAmount: boolean;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: DetailedFungibleAssetBalance;
        gasAmount: DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    setAmountInput: (val: string) => void;
    setAutoSetNeededAmount: React$1.Dispatch<React$1.SetStateAction<boolean>>;
    toggleAutoSetNeededAmount: () => void;
    hasEnoughBalance: boolean;
    formErrors: {
        gas?: string | undefined;
        amountInput?: string | undefined;
        proposalId?: string | undefined;
    } | null;
    canSubmit: boolean;
    reset: () => void;
    submit: () => Promise<void>;
};

type ProposalDepositContextType = ReturnType<typeof useProposalDepositForm>;
declare const ProposalDepositContext: React__default.Context<{
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        proposalId: string;
        chain: Blockchain;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amount: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
    } | null;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    minDepositAmount: _onomy_hub.DetailedFungibleAssetBalance;
    depositNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountInput: string;
    autoSetNeededAmount: boolean;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    setAmountInput: (val: string) => void;
    setAutoSetNeededAmount: React__default.Dispatch<React__default.SetStateAction<boolean>>;
    toggleAutoSetNeededAmount: () => void;
    hasEnoughBalance: boolean;
    formErrors: {
        gas?: string | undefined;
        amountInput?: string | undefined;
        proposalId?: string | undefined;
    } | null;
    canSubmit: boolean;
    reset: () => void;
    submit: () => Promise<void>;
}>;
declare function useProposalDeposit(): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        proposalId: string;
        chain: Blockchain;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        amount: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
    } | null;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    asset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    amount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    minDepositAmount: _onomy_hub.DetailedFungibleAssetBalance;
    depositNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountInput: string;
    autoSetNeededAmount: boolean;
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    setAmountInput: (val: string) => void;
    setAutoSetNeededAmount: React__default.Dispatch<React__default.SetStateAction<boolean>>;
    toggleAutoSetNeededAmount: () => void;
    hasEnoughBalance: boolean;
    formErrors: {
        gas?: string | undefined;
        amountInput?: string | undefined;
        proposalId?: string | undefined;
    } | null;
    canSubmit: boolean;
    reset: () => void;
    submit: () => Promise<void>;
};
declare function defaultRenderLoading(): react_jsx_runtime.JSX.Element;
declare function defaultRenderError$2(error: any): react_jsx_runtime.JSX.Element;
declare function ProposalDepositProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof defaultRenderLoading;
    renderError?: typeof defaultRenderError$2;
} & Parameters<typeof useProposalDepositForm>[0]): react_jsx_runtime.JSX.Element;

declare function useProposalDetailState(props: Parameters<typeof useProposal>[0]): {
    chain: _onomy_frontend_relay_types.Blockchain;
    proposalId: string;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    votesChartData: number[];
    isVotingPeriod: boolean;
    isDepositPeriod: boolean;
    minDepositAmount: _onomy_hub.DetailedFungibleAssetBalance;
    depositNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
type ProposalDetailContextType = ReturnType<typeof useProposalDetailState>;
declare function useProposalDetail(): {
    chain: _onomy_frontend_relay_types.Blockchain;
    proposalId: string;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    votesChartData: number[];
    isVotingPeriod: boolean;
    isDepositPeriod: boolean;
    minDepositAmount: _onomy_hub.DetailedFungibleAssetBalance;
    depositNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function defaultRenderError$1(error: any): react_jsx_runtime.JSX.Element;
declare function ProposalDetailProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof defaultRenderError$1;
} & Parameters<typeof useProposalDetailState>[0]): react_jsx_runtime.JSX.Element | JSX.Element[] | null;

type ProposalVoteContextType = ReturnType<typeof useGovVoteForm>;
declare const ProposalVoteContext: React__default.Context<{
    txStatus: _onomy_react_utils.AsyncStatus;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    txGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    option: number;
    setOption: React__default.Dispatch<React__default.SetStateAction<number>>;
    reset: () => void;
    submit: () => Promise<void>;
}>;
declare function useProposalVote(): {
    txStatus: _onomy_react_utils.AsyncStatus;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    proposal: {
        chain: _onomy_frontend_relay_types.Blockchain;
        asset: {
            meta: _onomy_frontend_relay_types.FungibleAsset;
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
        };
        hasQuorum: boolean;
        fundingRequest: {
            recipient: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: any;
            };
            requestedAmounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
        } | null;
        totalDeposits: (_onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        })[];
        deposits: {
            fromAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            amounts: (_onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            })[];
            proposalId: long.Long;
            depositor: string;
            amount: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        }[];
        votes: {
            voterAddress: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
            };
            options: {
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
                weight: string;
            }[];
            proposalId: long.Long;
            voter: string;
            option: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.VoteOption;
        }[];
        id: string;
        status: "PROPOSAL_STATUS_UNSPECIFIED" | "PROPOSAL_STATUS_DEPOSIT_PERIOD" | "PROPOSAL_STATUS_VOTING_PERIOD" | "PROPOSAL_STATUS_PASSED" | "PROPOSAL_STATUS_REJECTED" | "PROPOSAL_STATUS_FAILED" | "UNRECOGNIZED";
        content: any;
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    txGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    option: number;
    setOption: React__default.Dispatch<React__default.SetStateAction<number>>;
    reset: () => void;
    submit: () => Promise<void>;
};
declare function defaultRenderError(error: any): react_jsx_runtime.JSX.Element;
declare function ProposalVoteProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    proposalId: string;
    renderLoading?: () => JSX.Element | JSX.Element[] | null;
    renderError?: typeof defaultRenderError;
} & Parameters<typeof useGovVoteForm>[0]): react_jsx_runtime.JSX.Element | JSX.Element[] | null;

declare function useFundAccountProposalContent({ chain, type, }: {
    chain: Blockchain$1;
    type?: CosmosProposalType;
}): {
    TITLE_MAX_LENGTH: number;
    DESCRIPTION_MAX_LENGTH: number;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    assetStatus: _onomy_react_utils.AsyncStatus;
    amountStatus: _onomy_react_utils.AsyncStatus;
    chain: Blockchain$1;
    type: {
        typeUrl: unknown;
        name: string;
        description: string;
        encode: unknown;
        decode: (value: Uint8Array) => any;
    };
    amount: {
        asset: {
            chain: Blockchain$1;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    title: string;
    description: string;
    amountInput: string;
    recipient: string;
    formErrors: {
        title?: string | undefined;
        description?: string | undefined;
        recipient?: string | undefined;
        amountInput?: string | undefined;
    } | null;
    setTitle: React$1.Dispatch<React$1.SetStateAction<string>>;
    setDescription: React$1.Dispatch<React$1.SetStateAction<string>>;
    setAmountInput: (val: string) => void;
    setRecipient: React$1.Dispatch<React$1.SetStateAction<string>>;
    canSubmit: boolean;
    encoded: _onomy_telescope_dist_codegen_onomyprotocol_dao_v1_dao.FundAccountProposalProtoMsg | null;
    reset: () => void;
};

declare function useUnknownProposalContent({ chain, type, }: {
    chain: Blockchain$1;
    type: CosmosProposalType;
}): {
    json: string;
    parsed: any;
    chain: Blockchain$1;
    type: {
        typeUrl: unknown;
        name: string;
        description: string;
        encode: unknown;
        decode: (value: Uint8Array) => any;
    };
    setJson: React$1.Dispatch<React$1.SetStateAction<string>>;
    encoded: any;
    formErrors: {
        json?: string | undefined;
    } | null;
    canSubmit: boolean;
    reset: () => void;
};

declare function useDenomMetadataProposalContent({ chain, type, }: {
    chain: Blockchain$1;
    type?: CosmosProposalType;
}): {
    TITLE_MAX_LENGTH: number;
    DESCRIPTION_MAX_LENGTH: number;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    addressStatus: _onomy_react_utils.AsyncStatus;
    chain: Blockchain$1;
    type: {
        typeUrl: unknown;
        name: string;
        description: string;
        encode: unknown;
        decode: (value: Uint8Array) => any;
    };
    title: string;
    description: string;
    metadataJson: string;
    metadata: any;
    formErrors: {
        title?: string | undefined;
        description?: string | undefined;
        metadataJson?: string | undefined;
    } | null;
    setTitle: React$1.Dispatch<React$1.SetStateAction<string>>;
    setDescription: React$1.Dispatch<React$1.SetStateAction<string>>;
    setMetadataJson: React$1.Dispatch<React$1.SetStateAction<string>>;
    canSubmit: boolean;
    encoded: _onomy_telescope_dist_codegen_market_proposal.DenomMetadataProposalProtoMsg | null;
    reset: () => void;
};

declare function useCancelOrderForm({ orderId }?: {
    orderId?: string | undefined;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    doCancel: (id: string) => Promise<void>;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useExchangeCancelOrderState(props: Parameters<typeof useCancelOrderForm>[0]): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    doCancel: (id: string) => Promise<void>;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
type ExchangeCancelOrderContextType = ReturnType<typeof useExchangeCancelOrderState>;
declare function useExchangeCancelOrder(): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    doCancel: (id: string) => Promise<void>;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$5(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$5(error: any): react_jsx_runtime.JSX.Element;
declare function ExchangeCancelOrderProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$5;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$5;
} & Parameters<typeof useExchangeCancelOrderState>[0]): react_jsx_runtime.JSX.Element;

declare function useExchangePairState({ quoteAsset, baseAsset, }: {
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
}): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    dayTradeDataStatus: _onomy_react_utils.AsyncStatus;
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    lastPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    dayTradeData: DayTradeFrame;
    createOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        stopPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        bookBuyStatus: _onomy_react_utils.AsyncStatus;
        bookSellStatus: _onomy_react_utils.AsyncStatus;
        bookStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            price?: string | undefined;
            amountQuote?: string | undefined;
            amountBase?: string | undefined;
            amountAsk?: string | undefined;
            amountBid?: string | undefined;
        } | null;
        canSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuoteFixed: string;
        amountBaseFixed: string;
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        price: string;
        stopPrice: string;
        orderType: "limit" | "stop";
        pricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        stopPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuote: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        amountBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bookSell: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bookBuy: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bidAmountInput: string;
        askAmountInput: string;
        setBidAmountInput: (val: string) => void;
        setAskAmountInput: (val: string) => void;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setPrice: (newPrice: string) => void;
        setOrderType: React__default.Dispatch<React__default.SetStateAction<"limit" | "stop">>;
        setAmountQuoteFixed: (newAmountFixed: string) => void;
        setAmountBaseFixed: (newAmountFixed: string) => void;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    marketOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        estimateStatus: _onomy_react_utils.AsyncStatus;
        bidAmountStatus: _onomy_react_utils.AsyncStatus;
        askAmountStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        currentPriceStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        estimatedPricePerAskStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            amountBid?: string | undefined;
            amountAsk?: string | undefined;
            slippage?: string | undefined;
            liquidity?: string | undefined;
        } | null;
        canSubmit: boolean;
        hasAttemptedSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        baseAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        quoteAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        estimatedPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        slippagePercentage: string;
        bidAmountInput: string;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setBidAmountInput: (val: string) => void;
        setSlippagePercentage: React__default.Dispatch<React__default.SetStateAction<string>>;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    history: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    orders: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    bookBuy: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookSell: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookBinOptions: {
        value: string;
        label: string;
    }[];
    bookSelectedBin: string | undefined;
    orderDirection: "buy" | "sell";
    setOrderDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
    setBookSelectedBin: React__default.Dispatch<React__default.SetStateAction<string | undefined>>;
};
type ExchangePairContextType = ReturnType<typeof useExchangePairState>;
declare function useExchangePair(): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    dayTradeDataStatus: _onomy_react_utils.AsyncStatus;
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    lastPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    dayTradeData: DayTradeFrame;
    createOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        stopPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        bookBuyStatus: _onomy_react_utils.AsyncStatus;
        bookSellStatus: _onomy_react_utils.AsyncStatus;
        bookStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            price?: string | undefined;
            amountQuote?: string | undefined;
            amountBase?: string | undefined;
            amountAsk?: string | undefined;
            amountBid?: string | undefined;
        } | null;
        canSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuoteFixed: string;
        amountBaseFixed: string;
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        price: string;
        stopPrice: string;
        orderType: "limit" | "stop";
        pricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        stopPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuote: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        amountBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bookSell: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bookBuy: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bidAmountInput: string;
        askAmountInput: string;
        setBidAmountInput: (val: string) => void;
        setAskAmountInput: (val: string) => void;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setPrice: (newPrice: string) => void;
        setOrderType: React__default.Dispatch<React__default.SetStateAction<"limit" | "stop">>;
        setAmountQuoteFixed: (newAmountFixed: string) => void;
        setAmountBaseFixed: (newAmountFixed: string) => void;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    marketOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        estimateStatus: _onomy_react_utils.AsyncStatus;
        bidAmountStatus: _onomy_react_utils.AsyncStatus;
        askAmountStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        currentPriceStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        estimatedPricePerAskStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            amountBid?: string | undefined;
            amountAsk?: string | undefined;
            slippage?: string | undefined;
            liquidity?: string | undefined;
        } | null;
        canSubmit: boolean;
        hasAttemptedSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        baseAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        quoteAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        estimatedPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        slippagePercentage: string;
        bidAmountInput: string;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setBidAmountInput: (val: string) => void;
        setSlippagePercentage: React__default.Dispatch<React__default.SetStateAction<string>>;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    history: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    orders: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    bookBuy: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookSell: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookBinOptions: {
        value: string;
        label: string;
    }[];
    bookSelectedBin: string | undefined;
    orderDirection: "buy" | "sell";
    setOrderDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
    setBookSelectedBin: React__default.Dispatch<React__default.SetStateAction<string | undefined>>;
};
declare const DEFAULT_LOADING_RENDER_FN$4: () => react_jsx_runtime.JSX.Element;
declare const DEFAULT_ERROR_RENDER_FN$4: (error: any) => react_jsx_runtime.JSX.Element;
declare function ExchangePairProviderInner({ children, quoteAsset, baseAsset, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$4;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$4;
}): react_jsx_runtime.JSX.Element;
declare function ExchangePairProvider({ children, getBaseSymbol, getQuoteSymbol, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    getBaseSymbol: () => string;
    getQuoteSymbol: () => string;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$4;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$4;
}): react_jsx_runtime.JSX.Element;

declare function useAddDropsForm({ baseAsset, quoteAsset, pool, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    pool: Pool | null;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    baseBalanceStatus: _onomy_react_utils.AsyncStatus;
    quoteBalanceStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    dropsStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    pool: Pool | null;
    drops: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    currentPricePerQuote: _onomy_hub.DetailedFungibleAssetBalance;
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    dropsToPoolRatio: number;
    validationErrors: {
        drops?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useLiquidityPairAddDropsState(props: Parameters<typeof useAddDropsForm>[0]): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    baseBalanceStatus: _onomy_react_utils.AsyncStatus;
    quoteBalanceStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    dropsStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    pool: _onomy_telescope_dist_codegen_market_pool.Pool | null;
    drops: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    currentPricePerQuote: _onomy_hub.DetailedFungibleAssetBalance;
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    dropsToPoolRatio: number;
    validationErrors: {
        drops?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
type LiquidityPairAddDropsContextType = ReturnType<typeof useLiquidityPairAddDropsState>;
declare function useLiquidityPairAddDrops(): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    baseBalanceStatus: _onomy_react_utils.AsyncStatus;
    quoteBalanceStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    dropsStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    pool: _onomy_telescope_dist_codegen_market_pool.Pool | null;
    drops: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    currentPricePerQuote: _onomy_hub.DetailedFungibleAssetBalance;
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    dropsToPoolRatio: number;
    validationErrors: {
        drops?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$3(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$3(error: any): react_jsx_runtime.JSX.Element;
declare function LiquidityPairAddDropsProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$3;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$3;
} & Parameters<typeof useLiquidityPairAddDropsState>[0]): react_jsx_runtime.JSX.Element;

declare function useCreatePoolForm({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    inversePricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    price: string;
    inversePrice: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    validationErrors: {
        price?: string | undefined;
        baseAsset?: string | undefined;
        quoteAsset?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    pricePerBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    pricePerQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    setPrice: (newPrice: string) => void;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useLiquidityPairCreatePoolState(props: Parameters<typeof useCreatePoolForm>[0]): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    inversePricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    price: string;
    inversePrice: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    validationErrors: {
        price?: string | undefined;
        baseAsset?: string | undefined;
        quoteAsset?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    pricePerBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    pricePerQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    setPrice: (newPrice: string) => void;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
type LiquidityPairCreatePoolContextType = ReturnType<typeof useLiquidityPairCreatePoolState>;
declare function useLiquidityPairCreatePool(): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    inversePricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
    price: string;
    inversePrice: string;
    amountBaseInput: string;
    amountQuoteInput: string;
    validationErrors: {
        price?: string | undefined;
        baseAsset?: string | undefined;
        quoteAsset?: string | undefined;
        amountBaseInput?: string | undefined;
        amountQuoteInput?: string | undefined;
    } | null;
    canSubmit: boolean;
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    pricePerBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    pricePerQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    setPrice: (newPrice: string) => void;
    setAmountBaseInput: (val: string) => void;
    setAmountQuoteInput: (val: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$2(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$2(error: any): react_jsx_runtime.JSX.Element;
declare function LiquidityPairCreatePoolProvider({ children, renderLoading, renderError, ...props }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$2;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$2;
} & Parameters<typeof useLiquidityPairCreatePoolState>[0]): react_jsx_runtime.JSX.Element;

declare function useLiquidityPairState({ quoteAsset, baseAsset, }: {
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
}): {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    poolStatus: _onomy_react_utils.AsyncStatus;
    myDropsStatus: _onomy_react_utils.AsyncStatus;
    basePrincipalStatus: _onomy_react_utils.AsyncStatus;
    quotePrincipalStatus: _onomy_react_utils.AsyncStatus;
    baseRewardStatus: _onomy_react_utils.AsyncStatus;
    quoteRewardStatus: _onomy_react_utils.AsyncStatus;
    totalsStatus: _onomy_react_utils.AsyncStatus;
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    myDrops: {
        pool: {
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalFiat: number;
        rewardFiat: number;
        totalFiat: number;
        bnTotalBase: bignumber_js.BigNumber;
        bnTotalQuote: bignumber_js.BigNumber;
        bnPrincipalBase: bignumber_js.BigNumber;
        bnPrincipalQuote: bignumber_js.BigNumber;
        bnRewardBase: bignumber_js.BigNumber;
        bnRewardQuote: bignumber_js.BigNumber;
        uid: long.Long;
        owner: string;
        pair: string;
        drops: string;
        product: string;
        active: boolean;
    }[];
    redeem: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        canSubmit: boolean;
        validationErrors: {
            dropId?: string | undefined;
        } | null;
        dropId: string;
        doRedeem: (id?: string | undefined) => Promise<void>;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    basePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    quotePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    baseReward: _onomy_hub.DetailedFungibleAssetBalance;
    quoteReward: _onomy_hub.DetailedFungibleAssetBalance;
    baseTotal: _onomy_hub.DetailedFungibleAssetBalance;
    quoteTotal: _onomy_hub.DetailedFungibleAssetBalance;
    fiatTotal: number;
    totalRewardRatio: number;
};
type LiquidityPairContextType = ReturnType<typeof useLiquidityPairState>;
declare function useLiquidityPair(): {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    poolStatus: _onomy_react_utils.AsyncStatus;
    myDropsStatus: _onomy_react_utils.AsyncStatus;
    basePrincipalStatus: _onomy_react_utils.AsyncStatus;
    quotePrincipalStatus: _onomy_react_utils.AsyncStatus;
    baseRewardStatus: _onomy_react_utils.AsyncStatus;
    quoteRewardStatus: _onomy_react_utils.AsyncStatus;
    totalsStatus: _onomy_react_utils.AsyncStatus;
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    myDrops: {
        pool: {
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalFiat: number;
        rewardFiat: number;
        totalFiat: number;
        bnTotalBase: bignumber_js.BigNumber;
        bnTotalQuote: bignumber_js.BigNumber;
        bnPrincipalBase: bignumber_js.BigNumber;
        bnPrincipalQuote: bignumber_js.BigNumber;
        bnRewardBase: bignumber_js.BigNumber;
        bnRewardQuote: bignumber_js.BigNumber;
        uid: long.Long;
        owner: string;
        pair: string;
        drops: string;
        product: string;
        active: boolean;
    }[];
    redeem: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        canSubmit: boolean;
        validationErrors: {
            dropId?: string | undefined;
        } | null;
        dropId: string;
        doRedeem: (id?: string | undefined) => Promise<void>;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    basePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    quotePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    baseReward: _onomy_hub.DetailedFungibleAssetBalance;
    quoteReward: _onomy_hub.DetailedFungibleAssetBalance;
    baseTotal: _onomy_hub.DetailedFungibleAssetBalance;
    quoteTotal: _onomy_hub.DetailedFungibleAssetBalance;
    fiatTotal: number;
    totalRewardRatio: number;
};
declare const DEFAULT_LOADING_RENDER_FN$1: () => react_jsx_runtime.JSX.Element;
declare const DEFAULT_ERROR_RENDER_FN$1: (error: any) => react_jsx_runtime.JSX.Element;
declare function LiquidityPairProvider({ quoteAsset, baseAsset, renderLoading, renderError, children, }: {
    children: JSX.Element | JSX.Element[];
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$1;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$1;
}): react_jsx_runtime.JSX.Element;

declare function useWalletBridgeFormState(): {
    fromAssets: FungibleAssetWithMeta[];
    toAssets: FungibleAssetWithMeta[];
    amountDisplayValue: string;
    setAmountDisplayValue: (val: string) => void;
    setFromAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetWithMeta>>;
    setToAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetWithMeta>>;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    approveTxStatus: _onomy_react_utils.AsyncStatus;
    txDetails: _onomy_hub.AssetBridgeStatusComplete | null;
    approveTxDetails: _onomy_hub.AssetBridgeApprovalResultType | null;
    bridgeStatus: _onomy_hub.AssetBridgeStatus | null;
    hasApproveStep: boolean;
    approveGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    bridge: _onomy_hub.AbstractAssetBridge | null;
    bridgeFee: _onomy_hub.DetailedFungibleAssetBalance;
    isFromChainConnected: boolean | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    isToChainConnected: boolean | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    bridgeAmountDetailsStatus: _onomy_react_utils.AsyncStatus;
    bridgeApproveAmountDetailsStatus: _onomy_react_utils.AsyncStatus;
    bridgeAllowanaceDetailsStatus: _onomy_react_utils.AsyncStatus;
    extraAllowanceNeededStatus: _onomy_react_utils.AsyncStatus;
    fromAsset: FungibleAssetWithMeta;
    toAsset: FungibleAssetWithMeta;
    fromBalance: _onomy_hub.DetailedFungibleAssetBalance;
    toBalance: _onomy_hub.DetailedFungibleAssetBalance;
    bridgeAllowance: _onomy_hub.DetailedFungibleAssetBalance;
    bridgeAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    bridgeApproveAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    extraAllowanceNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    destinationAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    isMaxApproveAmount: boolean;
    isMaxAmount: boolean;
    bridgeAmountFixed: string;
    bridgeApproveFixed: string;
    setBridgeApproveFixed: (amt: string) => void;
    setBridgeAmountFixed: (amt: string) => void;
    txFormErrors: {
        amount?: string | undefined;
        gasPrice?: string | undefined;
        destination?: string | undefined;
    } | null;
    approveFormErrors: {
        amount?: string | undefined;
        gasPrice?: string | undefined;
    } | null;
    canSubmitApprove: boolean;
    canSubmitTx: false | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    toggleMaxAmount: () => void;
    toggleMaxApproveAmount: () => void;
    reset: () => void;
    resetApprove: () => void;
    doApprove: () => Promise<void>;
    doBridge: () => Promise<void>;
};
type WalletBridgeFormContextType = ReturnType<typeof useWalletBridgeFormState>;
declare function useWalletBridgeForm(): {
    fromAssets: FungibleAssetWithMeta[];
    toAssets: FungibleAssetWithMeta[];
    amountDisplayValue: string;
    setAmountDisplayValue: (val: string) => void;
    setFromAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetWithMeta>>;
    setToAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetWithMeta>>;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    approveTxStatus: _onomy_react_utils.AsyncStatus;
    txDetails: _onomy_hub.AssetBridgeStatusComplete | null;
    approveTxDetails: _onomy_hub.AssetBridgeApprovalResultType | null;
    bridgeStatus: _onomy_hub.AssetBridgeStatus | null;
    hasApproveStep: boolean;
    approveGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txGas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    bridge: _onomy_hub.AbstractAssetBridge | null;
    bridgeFee: _onomy_hub.DetailedFungibleAssetBalance;
    isFromChainConnected: boolean | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    isToChainConnected: boolean | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    bridgeAmountDetailsStatus: _onomy_react_utils.AsyncStatus;
    bridgeApproveAmountDetailsStatus: _onomy_react_utils.AsyncStatus;
    bridgeAllowanaceDetailsStatus: _onomy_react_utils.AsyncStatus;
    extraAllowanceNeededStatus: _onomy_react_utils.AsyncStatus;
    fromAsset: FungibleAssetWithMeta;
    toAsset: FungibleAssetWithMeta;
    fromBalance: _onomy_hub.DetailedFungibleAssetBalance;
    toBalance: _onomy_hub.DetailedFungibleAssetBalance;
    bridgeAllowance: _onomy_hub.DetailedFungibleAssetBalance;
    bridgeAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    bridgeApproveAmount: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    extraAllowanceNeeded: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    destinationAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    isMaxApproveAmount: boolean;
    isMaxAmount: boolean;
    bridgeAmountFixed: string;
    bridgeApproveFixed: string;
    setBridgeApproveFixed: (amt: string) => void;
    setBridgeAmountFixed: (amt: string) => void;
    txFormErrors: {
        amount?: string | undefined;
        gasPrice?: string | undefined;
        destination?: string | undefined;
    } | null;
    approveFormErrors: {
        amount?: string | undefined;
        gasPrice?: string | undefined;
    } | null;
    canSubmitApprove: boolean;
    canSubmitTx: false | _onomy_wallet.CosmosWallet | _onomy_wallet.EthereumWallet | null;
    toggleMaxAmount: () => void;
    toggleMaxApproveAmount: () => void;
    reset: () => void;
    resetApprove: () => void;
    doApprove: () => Promise<void>;
    doBridge: () => Promise<void>;
};
declare function DEFAULT_LOADING_RENDER_FN(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN(error: any): react_jsx_runtime.JSX.Element;
declare function WalletBridgeFormProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN;
}): react_jsx_runtime.JSX.Element;

declare function BlockchainDisplayName({ chain, uppercase, }: {
    chain: Blockchain$1;
    uppercase?: boolean;
}): react_jsx_runtime.JSX.Element;

type Blockchain = {
    name: string;
};
type BlockchainAddress = {
    chain: Blockchain;
    id: string;
};
type FungibleAssetOnChain = {
    chain: Blockchain;
    id: string;
};

export { Blockchain, BlockchainAddress, BlockchainDisplayName, ClaimRewardContextType, ClaimRewardProvider, DelegateAssetContextType, DelegateAssetProvider, ExchangeCancelOrderContextType, ExchangeCancelOrderProvider, ExchangePairContextType, ExchangePairProvider, ExchangePairProviderInner, FungibleAssetOnChain, GovernanceContextType, GovernanceProvider, LiquidityPairAddDropsContextType, LiquidityPairAddDropsProvider, LiquidityPairContextType, LiquidityPairCreatePoolContextType, LiquidityPairCreatePoolProvider, LiquidityPairProvider, MnemonicWalletContext, MnemonicWalletContextType, MnemonicWalletProvider, MoveDelegationContext, MoveDelegationContextType, MoveDelegationProvider, OnomyCoreProvider, OnomyDashboardContextType, OnomyDashboardProvider, OnomyEcosystemConfig, OnomyEcosystemConfigName, ProposalCreateContextType, ProposalCreateProvider, ProposalDepositContext, ProposalDepositContextType, ProposalDepositProvider, ProposalDetailContextType, ProposalDetailProvider, ProposalVoteContext, ProposalVoteContextType, ProposalVoteProvider, TransferAssetContextType, TransferAssetProvider, ValidatorDetailContextType, ValidatorDetailProvider, WalletBridgeFormContextType, WalletBridgeFormProvider, governanceUtils, setOnomyEcosystemConfig, useAsset, useAssetDelegations, useAvailableBalance, useChainDelegations, useClaimReward, useDelegateAsset, useDenomMetadataProposalContent, useExchangeCancelOrder, useExchangePair, useFundAccountProposalContent, useGovernance, useIndexedOrderBookForm, useLiquidityPair, useLiquidityPairAddDrops, useLiquidityPairCreatePool, useMnemonicWallet, useMoveDelegation, useOnexDayTradeFrame, useOnexTradingViewData, useOnomyApp, useOnomyDashboard, useProposalCreate, useProposalDeposit, useProposalDetail, useProposalVote, useRewardBalance, useStakedBalance, useTransferAsset, useUnknownProposalContent, useUnstakingBalance, useValidatorDetail, useWalletBridgeForm };
